#include "StdAfx.h"
#include "SlotBlock.h"

#include "OGLrendrer.h"

SlotBlock::SlotBlock(int x_, int y_)
{
	x = x_;
	y = y_;
}


SlotBlock::~SlotBlock(void)
{
}

bool 
SlotBlock::canStop()
{
	return true;
}

void
SlotBlock::draw(OGLrendrer *ogl)
{
	void(__stdcall* glMultiTexCoord2dARB)(GLenum, double,double)=(void(__stdcall*)(GLenum,double,double))ogl->getGlProcAddress("glMultiTexCoord2dARB");

	glBindTexture(GL_TEXTURE_2D, 1);

	glBegin(GL_QUADS);
		glMultiTexCoord2dARB(GL_TEXTURE0_ARB,0.75,1.0); glVertex3f(x, y, 1);
		glMultiTexCoord2dARB(GL_TEXTURE0_ARB,0.75,0.0); glVertex3f(x, y+1, 1);
		glMultiTexCoord2dARB(GL_TEXTURE0_ARB,1.00,0.0); glVertex3f(x+1, y+1, 1);
		glMultiTexCoord2dARB(GL_TEXTURE0_ARB,1.00,1.0); glVertex3f(x+1, y, 1);
	glEnd();

	drawBomb(ogl);	
}

bool 
SlotBlock::canMove()
{
	return true;
}