#include "StdAfx.h"
#include "FirmBlock.h"

#include "OGLrendrer.h"

FirmBlock::FirmBlock(int x_, int y_)
{
	x = x_;
	y = y_;
}


FirmBlock::~FirmBlock(void)
{
}

void 
FirmBlock::draw(OGLrendrer *ogl)
{
	void(__stdcall* glMultiTexCoord2dARB)(GLenum, double,double)=(void(__stdcall*)(GLenum,double,double))ogl->getGlProcAddress("glMultiTexCoord2dARB");

	glBindTexture(GL_TEXTURE_2D, 1);

	glBegin(GL_QUADS);
		glMultiTexCoord2dARB(GL_TEXTURE0_ARB,0.00,1.0); glVertex3f(x, y, 1);
		glMultiTexCoord2dARB(GL_TEXTURE0_ARB,0.00,0.0); glVertex3f(x, y+1, 1);
		glMultiTexCoord2dARB(GL_TEXTURE0_ARB,0.25,0.0); glVertex3f(x+1, y+1, 1);
		glMultiTexCoord2dARB(GL_TEXTURE0_ARB,0.25,1.0); glVertex3f(x+1, y, 1);
	glEnd();

	drawBomb(ogl);
}

void 
FirmBlock::leaveSquare()
{
		Block::leaveSquare();
}

bool 
FirmBlock::canStop()
{
	return true;
}

bool 
FirmBlock::canMove()
{
	return false;
}